zenilib: TDependencyGraphOutput Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | List of all members
TDependencyGraphOutput Class Reference

`#include <DependencyGraphOutput.h>`

Inherits TDependencyGraphTraverser.

## Public Member Functions

| TDependencyGraphOutput (TInfoSinkBase &sink)
void | outputAllSpanningTrees (TDependencyGraph &graph)
virtual void | visitArgument (TGraphArgument *parameter)
virtual void | visitFunctionCall (TGraphFunctionCall *functionCall)
virtual void | visitLogicalOp (TGraphLogicalOp *logicalOp)
virtual void | visitLoop (TGraphLoop *loop)
virtual void | visitSelection (TGraphSelection *selection)
virtual void | visitSymbol (TGraphSymbol *symbol)
Public Member Functions inherited from TDependencyGraphTraverser
| TDependencyGraphTraverser ()
void | clearVisited ()
void | decrementDepth ()
int | getDepth () const
void | incrementDepth ()
bool | isVisited (TGraphNode *node) const
void | markVisited (TGraphNode *node)

## Detailed Description

Definition at line 13 of file DependencyGraphOutput.h.

## Constructor & Destructor Documentation

TDependencyGraphOutput::TDependencyGraphOutput | ( | TInfoSinkBase & | sink | ) |

inline

Definition at line 15 of file DependencyGraphOutput.h.

## Member Function Documentation

void TDependencyGraphOutput::outputAllSpanningTrees | ( | TDependencyGraph & | graph | ) |

Definition at line 53 of file DependencyGraphOutput.cpp.

References TDependencyGraph::begin(), TDependencyGraphTraverser::clearVisited(), TDependencyGraph::end(), and TGraphNode::traverse().

Referenced by TCompiler::enforceTimingRestrictions().

void TDependencyGraphOutput::visitArgument | ( | TGraphArgument * | parameter | ) |

virtual

Reimplemented from TDependencyGraphTraverser.

Definition at line 15 of file DependencyGraphOutput.cpp.

References TGraphArgument::getArgumentNumber(), TGraphArgument::getIntermFunctionCall(), and TIntermAggregate::getName().

void TDependencyGraphOutput::visitFunctionCall | ( | TGraphFunctionCall * | functionCall | ) |

virtual

Reimplemented from TDependencyGraphTraverser.

Definition at line 22 of file DependencyGraphOutput.cpp.

References TGraphFunctionCall::getIntermFunctionCall(), and TIntermAggregate::getName().

void TDependencyGraphOutput::visitLogicalOp | ( | TGraphLogicalOp * | logicalOp | ) |

virtual

Reimplemented from TDependencyGraphTraverser.

Definition at line 47 of file DependencyGraphOutput.cpp.

References TGraphLogicalOp::getOpString().

void TDependencyGraphOutput::visitLoop | ( | TGraphLoop * | loop | ) |

virtual

Reimplemented from TDependencyGraphTraverser.

Definition at line 41 of file DependencyGraphOutput.cpp.

void TDependencyGraphOutput::visitSelection | ( | TGraphSelection * | selection | ) |

virtual

Reimplemented from TDependencyGraphTraverser.

Definition at line 35 of file DependencyGraphOutput.cpp.

void TDependencyGraphOutput::visitSymbol | ( | TGraphSymbol * | symbol | ) |

virtual

Reimplemented from TDependencyGraphTraverser.

Definition at line 28 of file DependencyGraphOutput.cpp.

References TIntermSymbol::getId(), TGraphSymbol::getIntermSymbol(), and TIntermSymbol::getSymbol().

The documentation for this class was generated from the following files:

- zenilib/jni/external/angle/src/compiler/depgraph/DependencyGraphOutput.h
- zenilib/jni/external/angle/src/compiler/depgraph/DependencyGraphOutput.cpp